InstructionVisitor (Ant Contrib)
Keywords: net.sf.antcontrib.design.InstructionVisitor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.design
Class InstructionVisitor

    java.lang.Object
      org.apache.bcel.generic.EmptyVisitor
          net.sf.antcontrib.design.InstructionVisitor

All Implemented Interfaces:
  org.apache.bcel.generic.Visitor

    public class InstructionVisitor

extends org.apache.bcel.generic.EmptyVisitor

Constructor Summary
`InstructionVisitor(org.apache.bcel.generic.ConstantPoolGen poolGen, Log log, Design d)`

Method Summary
`void` | `visitANEWARRAY(org.apache.bcel.generic.ANEWARRAY n)`
`void` | `visitCHECKCAST(org.apache.bcel.generic.CHECKCAST c)`
`void` | `visitINSTANCEOF(org.apache.bcel.generic.INSTANCEOF i)`
`void` | `visitINVOKESTATIC(org.apache.bcel.generic.INVOKESTATIC s)`
`void` | `visitLoadInstruction(org.apache.bcel.generic.LoadInstruction l)`
`void` | `visitNEW(org.apache.bcel.generic.NEW n)`
`void` | `visitPUTSTATIC(org.apache.bcel.generic.PUTSTATIC s)`

Methods inherited from class org.apache.bcel.generic.EmptyVisitor
`visitAALOAD, visitAASTORE, visitACONST_NULL, visitAllocationInstruction, visitALOAD, visitARETURN, visitArithmeticInstruction, visitArrayInstruction, visitARRAYLENGTH, visitASTORE, visitATHROW, visitBALOAD, visitBASTORE, visitBIPUSH, visitBranchInstruction, visitBREAKPOINT, visitCALOAD, visitCASTORE, visitConstantPushInstruction, visitConversionInstruction, visitCPInstruction, visitD2F, visitD2I, visitD2L, visitDADD, visitDALOAD, visitDASTORE, visitDCMPG, visitDCMPL, visitDCONST, visitDDIV, visitDLOAD, visitDMUL, visitDNEG, visitDREM, visitDRETURN, visitDSTORE, visitDSUB, visitDUP_X1, visitDUP_X2, visitDUP, visitDUP2_X1, visitDUP2_X2, visitDUP2, visitExceptionThrower, visitF2D, visitF2I, visitF2L, visitFADD, visitFALOAD, visitFASTORE, visitFCMPG, visitFCMPL, visitFCONST, visitFDIV, visitFieldInstruction, visitFieldOrMethod, visitFLOAD, visitFMUL, visitFNEG, visitFREM, visitFRETURN, visitFSTORE, visitFSUB, visitGETFIELD, visitGETSTATIC, visitGOTO_W, visitGOTO, visitGotoInstruction, visitI2B, visitI2C, visitI2D, visitI2F, visitI2L, visitI2S, visitIADD, visitIALOAD, visitIAND, visitIASTORE, visitICONST, visitIDIV, visitIF_ACMPEQ, visitIF_ACMPNE, visitIF_ICMPEQ, visitIF_ICMPGE, visitIF_ICMPGT, visitIF_ICMPLE, visitIF_ICMPLT, visitIF_ICMPNE, visitIFEQ, visitIFGE, visitIFGT, visitIfInstruction, visitIFLE, visitIFLT, visitIFNE, visitIFNONNULL, visitIFNULL, visitIINC, visitILOAD, visitIMPDEP1, visitIMPDEP2, visitIMUL, visitINEG, visitInvokeInstruction, visitINVOKEINTERFACE, visitINVOKESPECIAL, visitINVOKEVIRTUAL, visitIOR, visitIREM, visitIRETURN, visitISHL, visitISHR, visitISTORE, visitISUB, visitIUSHR, visitIXOR, visitJSR_W, visitJSR, visitJsrInstruction, visitL2D, visitL2F, visitL2I, visitLADD, visitLALOAD, visitLAND, visitLASTORE, visitLCMP, visitLCONST, visitLDC, visitLDC2_W, visitLDIV, visitLLOAD, visitLMUL, visitLNEG, visitLoadClass, visitLocalVariableInstruction, visitLOOKUPSWITCH, visitLOR, visitLREM, visitLRETURN, visitLSHL, visitLSHR, visitLSTORE, visitLSUB, visitLUSHR, visitLXOR, visitMONITORENTER, visitMONITOREXIT, visitMULTIANEWARRAY, visitNEWARRAY, visitNOP, visitPOP, visitPOP2, visitPopInstruction, visitPushInstruction, visitPUTFIELD, visitRET, visitRETURN, visitReturnInstruction, visitSALOAD, visitSASTORE, visitSelect, visitSIPUSH, visitStackConsumer, visitStackInstruction, visitStackProducer, visitStoreInstruction, visitSWAP, visitTABLESWITCH, visitTypedInstruction, visitUnconditionalBranch, visitVariableLengthInstruction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstructionVisitor

    public InstructionVisitor(org.apache.bcel.generic.ConstantPoolGen poolGen,
                              Log log,
                              Design d)

Parameters:
  `poolGen` -
  `v` -

Method Detail

### visitCHECKCAST

    public void visitCHECKCAST(org.apache.bcel.generic.CHECKCAST c)

  Specified by:
    `visitCHECKCAST` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitCHECKCAST` in class `org.apache.bcel.generic.EmptyVisitor`

### visitLoadInstruction

    public void visitLoadInstruction(org.apache.bcel.generic.LoadInstruction l)

  Specified by:
    `visitLoadInstruction` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitLoadInstruction` in class `org.apache.bcel.generic.EmptyVisitor`

### visitNEW

    public void visitNEW(org.apache.bcel.generic.NEW n)

  Specified by:
    `visitNEW` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitNEW` in class `org.apache.bcel.generic.EmptyVisitor`

### visitANEWARRAY

    public void visitANEWARRAY(org.apache.bcel.generic.ANEWARRAY n)

  Specified by:
    `visitANEWARRAY` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitANEWARRAY` in class `org.apache.bcel.generic.EmptyVisitor`

### visitINSTANCEOF

    public void visitINSTANCEOF(org.apache.bcel.generic.INSTANCEOF i)

  Specified by:
    `visitINSTANCEOF` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitINSTANCEOF` in class `org.apache.bcel.generic.EmptyVisitor`

### visitINVOKESTATIC

    public void visitINVOKESTATIC(org.apache.bcel.generic.INVOKESTATIC s)

  Specified by:
    `visitINVOKESTATIC` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitINVOKESTATIC` in class `org.apache.bcel.generic.EmptyVisitor`

### visitPUTSTATIC

    public void visitPUTSTATIC(org.apache.bcel.generic.PUTSTATIC s)

  Specified by:
    `visitPUTSTATIC` in interface `org.apache.bcel.generic.Visitor`
  Overrides:
    `visitPUTSTATIC` in class `org.apache.bcel.generic.EmptyVisitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD